Skip to content

Reserve a bounded file upload

POST/v1/files/uploads

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/v1/files/uploads" \
  -H "Content-Type: application/json" \
  -d '{
    "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "target": {
      "name": "string"
    },
    "byteLength": 0,
    "contentType": "string",
    "sha256": "string",
    "contentMd5": "string",
    "expiresAt": "2019-08-24T14:15:22Z",
    "multipartParts": [
      {
        "partNumber": 1,
        "byteLength": 0,
        "contentMd5": "string"
      }
    ]
  }'
{
  "state": "evidence_expired",
  "uploadId": "ef523ba8-509e-47af-8e2c-5fa751596497"
}